summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
Diffstat (limited to 'office')
-rw-r--r--office/task/README6
-rw-r--r--office/task/slack-desc19
-rw-r--r--office/task/task.SlackBuild84
-rw-r--r--office/task/task.info10
4 files changed, 119 insertions, 0 deletions
diff --git a/office/task/README b/office/task/README
new file mode 100644
index 0000000000..ae6e0c3255
--- /dev/null
+++ b/office/task/README
@@ -0,0 +1,6 @@
+task is an advanced task manager for the console with an
+extensive set of features.
+
+task requires lua which can be installed from SlackBuild.org.
+
+
diff --git a/office/task/slack-desc b/office/task/slack-desc
new file mode 100644
index 0000000000..ed50d13ce0
--- /dev/null
+++ b/office/task/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+task: task (command-line todo list manager)
+task:
+task: task is an advanced task manager for the console with an extensive
+task: set of features. task maintains a list of tasks that you want to do,
+task: allowing you to add/remove, and otherwise manipulate them.
+task: Task has a rich list of subcommands that allow you to do
+task: sophisticated things with it.
+task:
+task:
+task:
+task: Home: http://www.taskwarrior.org
diff --git a/office/task/task.SlackBuild b/office/task/task.SlackBuild
new file mode 100644
index 0000000000..e7be0aeaa1
--- /dev/null
+++ b/office/task/task.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for task
+
+# Written by Jostein Berntsen <jbernts@broadpark.no>
+
+
+PRGNAM=task
+VERSION=${VERSION:-1.9.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Build
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+
+make clean
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/office/task/task.info b/office/task/task.info
new file mode 100644
index 0000000000..4fe7c2ffe5
--- /dev/null
+++ b/office/task/task.info
@@ -0,0 +1,10 @@
+PRGNAM="task"
+VERSION="1.9.4"
+HOMEPAGE="http://www.taskwarrior.org"
+DOWNLOAD="http://www.taskwarrior.org/download/task-1.9.4.tar.gz"
+MD5SUM="0c5d9dedb1ead69590af895d16708070"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jostein Berntsen"
+EMAIL="jbernts@broadpark.no"
+APPROVED="dsomero"